## gravit 0.5.1+dfsg

=== MinGW/Makefile ===
# Makefile stub for MinGW gcc
# this makefile just calls ../Makefile.MinGW
#
#
# On 32bit windows, run "make 32bit" 
# On 64bit windows, run "make 64bit" 
#


all: show_options

show_options:
	@echo 
	@echo make 32bit    to build using 32-bit libraries
	@echo 
	@echo make 64bit    to build using 64-bit libraries
	@echo 
	@echo make install32 or make install64
	@echo "             to prepare for building the setup program"
	@echo 
	@exit 1


32bit:
	$(MAKE) -C .. -f Makefile.MinGW ARCH=32

64bit:
	$(MAKE) -C .. -f Makefile.MinGW ARCH=64


clean:
	$(MAKE) -C .. -f Makefile.MinGW clean



#install:
#	$(MAKE) -C .. -f Makefile.MinGW install

install32:
	$(MAKE) -C .. -f Makefile.MinGW ARCH=32 install

install64:
	$(MAKE) -C .. -f Makefile.MinGW ARCH=64 install



.phony: show_options
.phony: 32bit
.phony: 64bit
.phony: clean
.phony: install

## gravit 0.5.1%2Bdfsg

=== debian/control ===
Source: gravit
Maintainer: Debian Astro Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Tomasz Buchert <tomasz@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 12),
               debhelper-compat (= 12),
               liblua5.1-0-dev,
               libsdl-image1.2-dev,
               libsdl-ttf2.0-dev,
               libsdl1.2-dev
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/debian-astro-team/gravit
Vcs-Git: https://salsa.debian.org/debian-astro-team/gravit.git
Homepage: http://gravit.slowchop.com/

Package: gravit
Architecture: any
Depends: gravit-data (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: visually stunning gravity simulator
 Gravit is a free, visually stunning gravity simulator,
 where you can spend endless time experimenting
 with various configurations of simulated universes.
 .
 Features:
  - Stunning visualisations
  - Create unlimited variations of simulations
  - You can view the simulation in
    3D without glasses using stereoscopic imaging
  - Can be installed as a screen saver in Windows
  - You can record, then play back at any speed
  - Stores every particle's position for every frame in memory
  - Compresses history when needed, for very long recordings
  - Mouse controllable rotation
  - Console with script execution
  - Colours can be based on mass, velocity, acceleration,
    momentum or kinetic energy
  - Save and Load simulations
  - Update display/input while recording a frame

Package: gravit-data
Architecture: all
Depends: ttf-bitstream-vera, ${misc:Depends}, ${shlibs:Depends}
Recommends: gravit (= ${source:Version})
Description: data files for Gravit
 Gravit is a free, visually stunning gravity simulator,
 where you can spend endless time experimenting
 with various configurations of simulated universes.
 .
 This package contains data files required by Gravit.

## gravit 0.5.1+dfsg

=== debian/changelog ===
gravit (0.5.1+dfsg-2build1) yakkety; urgency=medium

  * No-change rebuild for libpng soname change.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 22 Apr 2016 23:50:52 +0000

gravit (0.5.1+dfsg-2) unstable; urgency=medium

  * d/patches: fix FTBFS on non-x86 archs (Closes: #768966)

 -- Tomasz Buchert <tomasz.buchert@inria.fr>  Mon, 05 Jan 2015 11:40:05 +0100

gravit (0.5.1+dfsg-1) unstable; urgency=medium

  * Initial upload (Closes: #743379)

 -- Tomasz Buchert <tomasz.buchert@inria.fr>  Wed, 24 Sep 2014 18:48:10 +0200

=== debian/control ===
Source: gravit
Section: science
Priority: optional
Maintainer: Debian Astro Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Tomasz Buchert <tomasz.buchert@inria.fr>
Build-Depends: debhelper (>= 9), libsdl1.2-dev, dh-autoreconf,
 libsdl-ttf2.0-dev, libsdl-image1.2-dev, liblua5.1-0-dev
Standards-Version: 3.9.6
Homepage: http://gravit.slowchop.com/
Vcs-Git: git://anonscm.debian.org/debian-astro/packages/gravit.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-astro/packages/gravit.git

Package: gravit
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, gravit-data (= ${source:Version})
Description: visually stunning gravity simulator
 Gravit is a free, visually stunning gravity simulator,
 where you can spend endless time experimenting
 with various configurations of simulated universes.
 .
 Features: 
  - Stunning visualisations
  - Create unlimited variations of simulations
  - You can view the simulation in 
    3D without glasses using stereoscopic imaging
  - Can be installed as a screen saver in Windows
  - You can record, then play back at any speed
  - Stores every particle's position for every frame in memory
  - Compresses history when needed, for very long recordings
  - Mouse controllable rotation
  - Console with script execution
  - Colours can be based on mass, velocity, acceleration,
    momentum or kinetic energy
  - Save and Load simulations
  - Update display/input while recording a frame

Package: gravit-data
Architecture: all
Recommends: gravit (= ${source:Version})
Depends: ${shlibs:Depends}, ${misc:Depends}, ttf-bitstream-vera
Description: data files for Gravit
 Gravit is a free, visually stunning gravity simulator,
 where you can spend endless time experimenting
 with various configurations of simulated universes.
 .
 This package contains data files required by Gravit.

=== debian/rules ===
#!/usr/bin/make -f

#
# this is what is happening in ./autogen.sh
#

export ACLOCAL=aclocal -I acinclude
export AUTOMAKE=automake --foreign --include-deps --add-missing --copy

%:
	dh $@ --with autoreconf

override_dh_install:
	dh_install -XVera.ttf

=== debian/watch ===
version=3
opts="dversionmangle=s/\+dfsg\.\d+$//,filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/gravit-$1\.tar\.gz/" \
  https://github.com/gak/gravit/tags .*/v?(\d\S*)\.tar\.gz \
  debian debian/repack
